OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions
SQConvert::HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5), false > Struct Template Reference

The real C++ caller for function with return value and 5 params. More...

`#include <squirrel_helper.hpp>`

## Static Public Member Functions
static int | SQCall (void *instance, Tretval(*func)(Targ1, Targ2, Targ3, Targ4, Targ5), HSQUIRRELVM vm)

## Detailed Description

### template<typename Tretval, typename Targ1, typename Targ2, typename Targ3, typename Targ4, typename Targ5>
struct SQConvert::HelperT< Tretval(*)(Targ1, Targ2, Targ3, Targ4, Targ5), false >

The real C++ caller for function with return value and 5 params.

Definition at line 530 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp